Method: organizations.locations.securityProfiles.get

Gets details of a single security profile.

HTTP request

GET https://networksecurity.googleapis.com/v1beta1/{name=organizations/*/locations/*/securityProfiles/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the SecurityProfile to get. Format: organizations/{organization}/locations/{location}/securityProfiles/{securityProfile} or projects/{project}/locations/{location}/securityProfiles/{securityProfile}.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of SecurityProfile.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.